/*
    Theme Name: Nurahotels2025-2025
    Theme URI: nurahotels2025-2025
    Description: Nurahotels2025-2025
    Author:       Mirai Dev Team
    Author URI:   http://mirai.com
    Template:     mirai-ma
    Version:      1.0.0
    License:      GNU General Public License v2 or later
    License URI:  http://www.gnu.org/licenses/gpl-2.0.html
    Text Domain:  mirai-maai
*/

/* GENERAL SETTINGS (not in Elementor) */
:root{
    --mirai-ui-calendar-range-background: #d2d7c8;
    --mirai-ui-button-transparent-color-active: #44693D!important;
    --mirai-ui-button-transparent-background-active: #e8ebe3!important;
	--mirai-ui-button-background: #44693D!important;
	--corporative-color: #44693D!important;
}

body,
a,
a:hover {
    font-size: inherit;
    font-family: inherit;
    color: inherit;
    text-transform: inherit;
    text-decoration: none;
}

a,
a::hover,
a::hover,
p,
h1,
h2,
h3,
h4,
h5 {
    text-transform: inherit !important;
}

p {
    line-height: inherit;
    font-weight: inherit;
    font-size: inherit;
    letter-spacing: inherit;
    word-spacing: inherit;
}

/* ICONS */
a.back-link:before,
a.fwd-link:after,
a.down-link:after {
    content: '\e966';
    font-family: 'mirai-icofonts';
    font-size: .85em;
    line-height: .85em;
    font-weight: normal;
    margin: 0 .5em;
    vertical-align: middle;
    display: inline-block;
    text-decoration: none;
    -webkit-transition: all .2s ease-out;
    transition: all .2s ease-out;
}

a.fwd-link:after {
    content: '\e967';
}

a.down-link:after {
    content: '\e965';
}

a.fwd-link:hover,
.back a:hover,
a.down-link:hover {
    text-decoration: none;
}

a.fwd-link:hover:after {
    margin-left: 1em;
    margin-right: 0;
}

.back a:hover:before {
    margin-right: 1em;
    margin-left: 0;
}

a.down-link:hover:after {
    -webkit-transform: translateY(0.3em);
    transform: translateY(0.3em);
}

/* SITE SETTINGS (standar) */

/* BUTTONS */
/* utiliza la clase .primary-btn para aquellos botones que quieras que se comporten como el de reservar, y .secondary-btn para los de tipo ofertas */

/* primary */
.elementor-button.primary-btn {
    text-transform: uppercase;
    letter-spacing: 0.1em;
    background: #3977c5;
    color: #fff;
    padding: 12px 25px;
    -webkit-transition: all .2s ease-out;
    transition: all .2s ease-out;
    border-radius: 0px;
    /* fixing elementor */
}

.elementor-button.primary-btn:hover {
    text-decoration: none;
    background: #29558A;
    color: #fff;
}

/* secondary */
#respond .form-submit #submit,
.widget_search form input[type="submit"],
.elementor-widget-wp-widget-mirai_opiniones>div #xdhsReviewSummaryContent-XdHs #hsRating .mirai_btReview,
.elementor-button.secondary-btn {
    -webkit-transition: all .2s ease-out;
    transition: all .2s ease-out;
    color: #252525;
    border: 1px solid;
    padding: 13px 30px;
    text-transform: uppercase;
    background: transparent;
    -webkit-border-radius: 0px;
    /* fixing elementor */
    border-radius: 0px;
    /* fixing elementor */
}

/* disabled buttons */
.elementor-button.primary-btn:disabled,
.elementor-button.primary-btn:disabled:hover,
.elementor-button.secondary-btn:disabled,
.elementor-button.secondary-btn:disabled:hover {
    background-color: #b9b9b9;
    background-image: none;
    color: #ddd;
    border-color: #b9b9b9;
    cursor: default;
    filter: none;
    text-shadow: none;
    box-shadow: none;
}

/* TITLES */
.mi-title2,
#cookies-wrapper-content h1,
#cookies-wrapper-content h2,
.rooms-listing-wrapper h2,
.rooms-detail-wrapper h2,
.blog-wrapper h2,
.blog-wrapper h1,
.blog-wrapper #posts_con_categoria,
.mi-iata-content h2 {
    font-size: 25px;
    font-weight: bold;
}

.mi-title3,
.rooms-listing-wrapper h3,
.rooms-detail-wrapper h3,
.blog-wrapper h3,
.mi-iata-content h3 {
    font-size: 17px;
    font-weight: bold;
    text-transform: uppercase;
}

.mi-title4,
.rooms-detail-wrapper h4 {
    font-size: 1.1em;
    font-weight: bold;
}

/* DYNAMIC PAGES (OFFER & ROOMS) */

/* ROOMS 1 - occupation box & box price */
.rooms-listing-1 .room-box .room-detail ul,
.rooms-detail-1.rooms-detail-wrapper .room-box-detail,
.rooms-detail-1.rooms-detail-wrapper .room-box-price {
    background: #E1D5C7;
}

/* ROOMS 2 (and room detail 2-3-4) - box price */
.rooms-listing-2 .room-box .room-detail .price-box .min-price,
.rooms-detail-2.rooms-detail-wrapper .room-box-image .room-box-detail .box-price {
    background: #444;
    /* dark color */
}

/* ROOMS 3 - box price */
.rooms-listing-4 .room-item .min-price {
    background: #f9c400;
    /* light color */
}

/* ROOMS 5 - room box && offers in room */
.rooms-listing-5 .room-box {
    background: #ebebeb;
    /* light color */
}



/* 404 page */
.not-found-page {
    display: table;
    background: url(https://static-resources-elementor.mirai.com/common/bg-404.png) no-repeat center center transparent;
    margin-bottom: 0;
    width: 100%;
    min-height: 570px;
    text-align: center;
}

.not-found-page span {
    font-size: 18px;
    display: table-cell;
    vertical-align: middle;
}

/* COOKIES POLICY */
.page-template-tpl-cookies-policy .cookies-section {
    padding: 60px 0;
}

/*Hiding recaptcha badge*/
.grecaptcha-badge {
  display: none;
}

/***** AUTOSCROLL *****/
.popup--scrolly-auto {
    overflow: hidden !important;
    overflow-y: auto !important;
    max-height: calc(100vh - 140px);
}






/*Offers*/
.socialmedia-share {
    display: none !important;
}

.offers-listing-wrapper.offers-listing-1 h2 {
    display: none;
}

.offers-listing-wrapper {
    margin-bottom: 80px;
    background-color: var(--e-global-color-35952aa);
}

.offers-listing {
    background-color: var(--e-global-color-primary);
    padding: 0 1.5rem;
    border-radius: 25px;
}

.offers-detail-wrapper .offer-features-wrapper {
    background-color: var(--e-global-color-primary);
}

.offer-title {
    font-family: "Encode Sans", Sans-serif !important;
    color: #fff !important;
    font-size: 2rem !important;
    text-transform: inherit !important;
    margin-bottom: 1rem !important;
}
.offer-box.main-box span,
.offer-board,
.offer-box.box-1 {
    font-size: 1rem;
    color: #fff !important;
    display: flex;
}

.offer-box.box-1 * {
    font-weight: 400 !important;
}

.offer-description {
    font-size: 1rem !important;
    color: #fff !important;
    line-height: 150% !important;
}

.offer .offer-button {
    font-size: 1rem;
    text-transform: inherit !important;
    font-weight: 600 !important;
    border-radius: 4px !important;
}

.elementor-button.secondary-btn {
    background-color: #fff !important;
    border-color: #fff !important;
}

.offer-wrapper {
    border-radius: 25px !important;
    background-color: #44693D !important;
}

.offer .offer-photo img,
.offer .offer-photo {
    width: 150px !important;
    height: 150px !important;

}

.offer .offer-photo img {
    border-radius: 999px !important;
    object-fit: cover;
    background-size: cover;
}

.offer-box-1.offer-link {
    background-color: #44693D !important;
}

.offer {
    margin: 32px auto 30px !important;
}

.offer-button.elementor-button.secondary-btn {
    padding: 1rem 1.5rem;
}

.offer-description {
    max-width: 65%;
}

.offer .offer-description {
    margin-right: 0px !important;
}

.offer-box.box-1 .span-0,
.offer-box.box-1 .span-1,
.offer-box.box-1 .span-2 {
    font-size: .9rem !important;
}

.offer-button.elementor-button.secondary-btn:hover {
    background-color: #909B76 !important;
    border-color: #909B76 !important;
}

.offer-header-content-wrapper{
    padding-left: 1rem;
}

.offer-wrapper.row .offer-photo img{
    width:110px!important;
    height: 110px!important;
}

.offers-detail-wrapper .offer-wrapper {
    padding: 25px!important;
}

.room-box-offers.offers-listing-1 h3{
    font-family: "Encode Sans", Sans-serif !important;
    font-size: 2rem!important;
    margin-bottom: 2rem;
    text-transform: inherit;

}

.go-to-offers-page{
    margin-top: 2rem;
}
.go-to-offers-page a{
    font-size: 1rem!important;
    background-color: #fff;
    padding: 16px 24px;
    border-radius: 4px;
    font-weight: 600!important;
}
.go-to-offers-page a:hover{
    background-color: #909B76 !important;
}


.offer .offer-title{
  padding: 0px 35px !important;
}


@media (max-width: 1024px) {
    .offer-link {
        text-align: center !important;
    }
    .offers-listing{
        border-radius: 10px;
    }
}

@media (max-width: 767px) {
    .offers-detail-wrapper .offer-features-wrapper {
        width: fit-content !important;
    }

    .offers-detail-wrapper.offer-detail-1 .offer-features-wrapper {
        margin-left: 0px !important;
    }

    .offer-header-content-wrapper {
        padding-left: 0 !important;
    }

    .offer-wrapper.row {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 1rem;
    }

    .offer .offer-title {
        font-size: 1.6rem !important;
        text-align: center;
        margin-bottom: 0px !important;
        padding: 15px 15px !important;
    }

    .offer-wrapper p {
        text-align: center;
    }

    .offers-listing {
        padding: 0 !important;
    }

    .offer-box.box-1 .span-0,
    .offer-box.box-1 .span-1,
    .offer-box.box-1 .span-2 {
        font-size: .7rem !important;
    }

    .offer-box.box-1 {
        width: 100%;
        display: flex;
        justify-content: center;
    }

    .offer-box-1.offer-link {
        padding: 0px !important;
    }
}